﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MySqlConnector
{

    public class MySqlResult
    {
        private string[] errorMessages;
        private bool isSuccess;

        public MySqlResult() { }

        public MySqlResult(bool isSuccess)
        {
            this.isSuccess = isSuccess;
        }

        public string[] ErrorMessages
        {
            get { return this.errorMessages; }
            set { this.errorMessages = value; }
        }

        public bool IsSuccess
        {
            get { return this.isSuccess; }
            set { this.isSuccess = value; }
        }
    }

    /// <summary>
    /// MySqlClient返却クラス
    /// </summary>
    public class MySqlResult<T> : MySqlResult
    {
        private T value;

        public T Value
        {
            get { return this.value; }
            set { this.value = value; }
        }
    }
}
